2018-06-19 16:55 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001901FSSCPuser interfacepublic2012-12-18 14:10
ReporterFUBAR-BDHR 
Assigned ToValathil 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001901: Wrong default ship showing in the mission simulator
DescriptionWhen you enter the mission simulator and play a mission you played before your previous ship and loadout are saved but the screen shows the defualt ship for the mission. See screenshot.
Additional Information3.6.10 pretty much all builds I've tried recently.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010746

ARSPR (reporter)

Last edited: 2009-03-17 12:54

Well I think this is not a bug but I think there's a related one. Let me explain (I've tested with Derelict "Rites of Passage").

As I don't know TBP ships I'll call FUBAR-BDHR fighter "Chosen One", while in that mission the default ship should be "ISA Bluestar".

+ When you open the mission again, the default fighter is selected, NOT YOURS. You can check how in the ship pool list (on the left), "ISA Bluestar" will have a brighter box than the rest of fighters.
(I upload a screenshot from "Rites of Passage" showing this behaviour. Take note of the brighter box in the Serapis of Alpha wing and in the Serapis in the ship pool).

+ BUT THE BUG I THINK THAT EXISTS IS:
- When you click on any fighter (as example "Chosen One" in the wing area with an orange box as it's your fighter), the game should update that fighter data.
- But when the ship you click is in the ship wing area, it SOMETIMES updates it, it NEARLY ALWAYS doesn't. (If you test with a mission with more fighters in the wing area, you can test this issue more easily). Why??????
- Nevertheless, it ALWAYS updates the fighter data if you click on the ship pool area on the left.

(I suppose that when you clicked on your "Chosen One", the game probably didn't change the fighter, so you thought: "Hey, my selected "Chosen One" fighter is being rendered as the default "ISA Bluestar, and that is a bug". But in fact the problem is that despite of your clicking, your "Chosen One" fighter is not being selected).

Please re-test to confirm the issue.

~0010747

FUBAR-BDHR (developer)

Maybe it's because I just got out of bed but I didn't follow that at all. Here is exactly what I did.

Created mission with the Bluestar as the default player ship
Played the mission from the simulator several times exiting FS2 each time
Changed the ship to a Dilgar one in loadout and played and exited FS2
Went back into mission simulator and selected the mission again.
The screenshot is what shows before I touch anything.
If I click commit I do play with the Dilgar ship not the Bluestar shown.

~0010748

ARSPR (reporter)

Yes, I suppose that's what is expected:
+ Bluestar is the very first ship that appears in Ship Selection window because it's the default ship.
+ BUT Bluestar is not your ship anymore because of the previous runs. As I told before, FS2 shows the default ship, NOT YOUR SHIP. Your ship is actually the Dilgar. So if you don't touch anything, of course you start flying a Dilgar.

Please FUBAR-BDHR, test if you can replicate the not-responding click issue on wing area, as I posted above.

~0010749

FUBAR-BDHR (developer)

I see what you are saying but I didn't have that happen. As soon as I clicked on Alpha 1 it updated. I'll have to make a new test with more ships tonight.

~0010786

Wanderer (developer)

I'm not convinced this is a bug. That is it is common to have one ship in your ship slot and another one being rendered on screen.

Also from what i saw it seems like really, really short clicks allow for resetting the rendered ship while longer clicks just grab the ship from the slot.

~0010787

ARSPR (reporter)

@Wanderer:

I swear that I cannot make shorter clicks...

If the "not-refreshing-click" is just a "too-long-before-release-so-FS2-thinks-that-the-user-is-starting-a-drag" issue, then that hardcoded time is WAY too short. It really seems the ship data refresh is randomly triggered.

But please confirm that that's the problem, because as I say, at least in my system, a click over the ship pool (on the left) ALWAYS update the ship. The issue only happens on the ship wing area.

(OTOH: If my clicking issue is confirmed and FUBAR-BDHR's original one is dismissed, I think any admin should change Summary/Description or, if you want, I can open a new report as a spin-off).

~0010788

FUBAR-BDHR (developer)

Normally it wouldn't be a problem but it is rendering the wrong ship at mission load not after a selection. So at mission load you are getting the mission default ship rendered but have the ship in the loadout from the last play. At mission load both of these should match.

I have noticed that if you exit FS2 and make a change to a mission and resave before going back in sometimes the ship changes back to the mission default and sometimes it doesn't.

~0010789

ARSPR (reporter)

@FUBAR-BDHR:

I still think it's not a bug:

+ FS2 remembers your last loadout. And that's good.

and

+ FS2 doesn't show the player ship BUT the default one (watch my previously posted screenshot). Maybe it would be better if the player ship were the very first shown one. But IMO that's rather a feature request than a bug.

~0014508

MjnMixael (manager)

Feedback required on this. Should the code be changed to show the player's currently selected ship by default or should it continue to show the mission's first default by default?

If the former, let's make the change. If the latter, this should be closed.

~0014517

Valathil (developer)

Fix committed to trunk@9449.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2009-03-17 03:32 FUBAR-BDHR New Issue
2009-03-17 03:32 FUBAR-BDHR File Added: 1901.jpg
2009-03-17 12:42 ARSPR Note Added: 0010746
2009-03-17 12:43 ARSPR File Added: All the default Serapis are selected (but not my Tauret).jpg
2009-03-17 12:54 ARSPR Note Edited: 0010746
2009-03-17 13:45 FUBAR-BDHR Note Added: 0010747
2009-03-17 14:40 ARSPR Note Added: 0010748
2009-03-17 15:09 FUBAR-BDHR Note Added: 0010749
2009-03-31 05:01 Wanderer Note Added: 0010786
2009-03-31 10:37 ARSPR Note Added: 0010787
2009-03-31 13:50 FUBAR-BDHR Note Added: 0010788
2009-03-31 16:32 ARSPR Note Added: 0010789
2012-12-17 23:11 MjnMixael Note Added: 0014508
2012-12-18 14:10 Valathil Assigned To => Valathil
2012-12-18 14:10 Valathil Status new => assigned
2012-12-18 14:10 Valathil Changeset attached => fs2open trunk r9449
2012-12-18 14:10 Valathil Note Added: 0014517
2012-12-18 14:10 Valathil Status assigned => resolved
2012-12-18 14:10 Valathil Resolution open => fixed
+Issue History